package cn.net.caoyao.cpzshandset.common.config;

public enum HandsetSettingOption {
	/**
	 * 修改手持机版本模式
	 */
	SETTING_HANDSET_MODE_SWITCH_MODE(0,"修改手持机版本模式"),//修改手持机版本模式
	/**
	 * 配置设备ID
	 */
	SETTING_CONFIG_DEVICE_ID_MODE(1,"配置设备ID"),//配置设备ID
	/**
	 * 更新产品列表
	 */
	SETTING_UPDATE_PRODUCT_LIST_MODE(2,"更新产品列表"),//更新产品列表
	/**
	 * 更新经销商列表
	 */
	SETTING_UPDATE_AGENCY_LIST_MODE(3,"更新经销商列表"),//更新经销商列表
	/**
	 * 更新正品保证单
	 */
	SETTING_UPDATE_AUTHENTICITY_GUARANTEED_LIST_MODE(4,"更新正品保证单"),//更新正品保证单Authenticity guaranteed
	/**
	 * 更新地址列表
	 */
	SETTING_UPDATE_ADDRESS_LIST_MODE(5,"更新地址列表"),//更新地址列表
	/**
	 * 修改登录密码
	 */
	SETTING_MODIFY_PWD_LIST_MODE(6,"修改登录密码"),//修改登录密码
	
	/**
	 * 更新客户信息
	 */
	SETTING_UPDATE_CONSIGNEE_LIST_MODE(7,"更新客户信息"),//更新客户信息
	/**
	 * 更新用户登录的配置信息
	 */
	SETTING_UPDATE_USER_CONFIG_LIST_MODE(8,"更新登录配置"),//更新用户登录的配置信息
	/**
	 * 更新未发货订单
	 */
	SETTING_UPDATE_NOT_SHIPMENT_ORDER_LIST_MODE(9,"更新未发货订单"),//更新未发货订单
	/**
	 * 更新未发货订单
	 */
	SETTING_UPDATE_GROUP_INFO_MODE(10,"更新班组信息"),//更新未发货订单
	/**
	 * 更新未发货订单
	 */
	SETTING_SWITCH_PROT_TYPE_MODE(11,"切换网络"),//切换网络

	/**
	 * 更新养殖户
	 */
	SETTING_FARMERS_PROT_TYPE_MODE(12,"更新养殖户"),//更新养殖户
	/**
	 * 更新车牌号信息
	 */
	SETTING_UPDATE_CAR_LIST_MODE(13,"更新车牌号信息");//更新车牌号信息
	
	
	private int settingOption;
	private String settingOptionName;
	
	public void setSettingOption(int settingOption) {
		this.settingOption = settingOption;
	}
	public void setSettingOptionName(String settingOptionName) {
		this.settingOptionName = settingOptionName;
	}
	public int getSettingOption() {
		return settingOption;
	}
	public String getSettingOptionName() {
		return settingOptionName;
	}
	private HandsetSettingOption(int settingOption,String settingOptionName) {
		this.settingOption = settingOption;
		this.settingOptionName = settingOptionName;
	}
	
}
